# st version
VERSION = 0.8.2

OS = $(shell uname)

# paths
ifeq $(OS) NetBSD
PREFIX = $(HOME)
else
PREFIX = $(HOME)/.local
endif
MANPREFIX = $(PREFIX)/share/man

ifeq $(OS) NetBSD
X11INC = /usr/X11R7/include
X11LIB = /usr/X11R7/lib
else
X11INC = /usr/X11R6/include
X11LIB = /usr/X11R6/lib
endif

PKG_CONFIG = pkg-config

# includes and libs
INCS = -I$(X11INC) \
       `$(PKG_CONFIG) --cflags fontconfig` \
       `$(PKG_CONFIG) --cflags freetype2`
LIBS = -L$(X11LIB) -lm -lrt -lX11 -lutil -lXft -lXrender \
       `$(PKG_CONFIG) --libs fontconfig` \
       `$(PKG_CONFIG) --libs freetype2`

ifeq $(OS) NetBSD
LIBS = $(LIBS) -Wl,-rpath,$(X11LIB)
endif

# flags
STCPPFLAGS = -DVERSION=\"$(VERSION)\" -D_XOPEN_SOURCE=600
ifeq $(OS) NetBSD
STCPPFLAGS = $(STCPPFLAGS) -D_BSD_SOURCE
endif
STCFLAGS = $(INCS) $(STCPPFLAGS) $(CPPFLAGS) $(CFLAGS) -mtune=native -march=native -O3 -pipe -fstack-protector-strong -fno-plt
STLDFLAGS = $(LIBS) $(LDFLAGS)
